clear;
clc;
close all;
addpath(genpath('../../cellLib/BG_fit/'))
T = 279.45;
phi = 3^((T - 6.3-273.15) / 10);

%% Steady-state gating parameters and time constants
V = transpose(-120:1:60); % unit mV
[alpha,beta]=HH_gate_m(-(V+75),phi);
TF = isnan(alpha);
alpha(TF)=1;
tau = calc_tau(alpha,beta);
g_ss = calc_gss(alpha,beta);
%% Optimization to fit
[params_vec,fval,exitflag,output] = gate_fit(alpha,beta,g_ss,tau,V,T);
save(['Na_m_parameters.mat'],'params_vec');
%% Plot
[h] = gate_plot(alpha,beta,g_ss,tau,params_vec,V,T);
filename='m_gate.fig';
savefig(h,filename)

function [alpha_m,beta_m]=HH_gate_m(V,phi)

alpha_m = 0.1 .* (V + 25) .* phi ./ (exp( (V + 25) ./ 10) -1 );
beta_m = 4 .* exp( V ./ 18 ) .* phi;
end



